# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rkerberos}
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Daniel Berger", "Dominic Cleal"]
  s.date = %q{2013-05-08}
  s.description = %q{    The rkerberos library is an interface for the Kerberos 5 network
 \   authentication protocol. It wraps the Kerberos C API.
}
  s.email = ["djberg96@gmail.com", "dcleal@redhat.com"]
  s.extensions = ["ext/rkerberos/extconf.rb"]
  s.extra_rdoc_files = ["README.md", "CHANGES", "MANIFEST", "ext/rkerberos/context.c", "ext/rkerberos/keytab.c", "ext/rkerberos/principal.c", "ext/rkerberos/kadm5.c", "ext/rkerberos/keytab_entry.c", "ext/rkerberos/config.c", "ext/rkerberos/rkerberos.c", "ext/rkerberos/ccache.c", "ext/rkerberos/policy.c"]
  s.files = ["MANIFEST", "README.md", "test/test_config.rb", "test/test_krb5_keytab.rb", "test/test_keytab_entry.rb", "test/test_context.rb", "test/test_principal.rb", "test/test_credentials_cache.rb", "test/test_krb5.rb", "test/test_kadm5.rb", "test/test_policy.rb", "Rakefile", "lib/rkerberos.so", "ext/rkerberos/extconf.rb", "ext/rkerberos/rkerberos.h", "ext/rkerberos/context.c", "ext/rkerberos/keytab.c", "ext/rkerberos/principal.c", "ext/rkerberos/kadm5.c", "ext/rkerberos/keytab_entry.c", "ext/rkerberos/config.c", "ext/rkerberos/rkerberos.c", "ext/rkerberos/ccache.c", "ext/rkerberos/policy.c", "rkerberos.gemspec", "CHANGES"]
  s.homepage = %q{http://github.com/domcleal/rkerberos}
  s.licenses = ["Artistic 2.0"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{A Ruby interface for the the Kerberos library}
  s.test_files = ["test/test_config.rb", "test/test_krb5_keytab.rb", "test/test_keytab_entry.rb", "test/test_context.rb", "test/test_principal.rb", "test/test_credentials_cache.rb", "test/test_krb5.rb", "test/test_kadm5.rb", "test/test_policy.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake-compiler>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 2.1.0"])
      s.add_development_dependency(%q<dbi-dbrc>, [">= 1.1.6"])
    else
      s.add_dependency(%q<rake-compiler>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 2.1.0"])
      s.add_dependency(%q<dbi-dbrc>, [">= 1.1.6"])
    end
  else
    s.add_dependency(%q<rake-compiler>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 2.1.0"])
    s.add_dependency(%q<dbi-dbrc>, [">= 1.1.6"])
  end
end
